astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_SlantZenithalPerspective

# Sky2Pix_SlantZenithalPerspective

class `astropy.modeling.projections.``Sky2Pix_SlantZenithalPerspective`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Zenithal`

  Zenithal perspective projection - sky to pixel.

  Corresponds to the `SZP` projection in FITS WCS.

  Parameters:

  mu : float

  > distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

  phi0 : float

  > The longitude φ₀ of the reference point, in degrees. Default is 0°.

  theta0 : float

  > The latitude θ₀ of the reference point, in degrees. Default is 90°.

  Attributes Summary

  `mu` |
  `param_names` |
  `phi0` |
  `theta0` |

  Methods Summary

  `evaluate`(phi, theta, mu, phi0, theta0) |

  Attributes Documentation

  `mu`
  `param_names` = ('mu', 'phi0', 'theta0')
  `phi0`
  `theta0`

  Methods Documentation

  classmethod `evaluate`(phi, theta, mu, phi0, theta0)